Facebook Twitter YouTube Frictional Games | Forum | Privacy Policy | Dev Blog | Dev Wiki | Support | Gametee


Installer fails (Debian SId 64-bit)
malachi1990 Offline
Junior Member

Posts: 11
Threads: 3
Joined: Mar 2010
Reputation: 0
#1
Solved: 6 Years, 2 Months, 4 Weeks ago Installer fails (Debian SId 64-bit)

I purchased the Penumbra trilogy last year (when it was being sold for 5 USD), and now I find that on my system, it runs really slowly if I use the FLTK frontend (I have no idea how to force it to use the gtk frontend), as found in this thread:

http://www.frictionalgames.com/forum/sho...8&pid=#pid

I found that when I tried to let the installer finish, the installer would progress to about halfway through before stopping and saying that it had successfully finished, but hadn't installed Requiem at all. (It's not an issue with the installer download, as I've played all 3 games, and the archive check returns clear.)

But when I tried to use the ncurses frontend, I was told that "sh returned an error code of (1) " when I use the DISPLAY= ./PenumbraCollection-1.0.sh --confirm option.

Any help would be greatly appreciated.
08-31-2010, 04:15 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#2
Solved: 6 Years, 2 Months, 4 Weeks ago RE: Installer fails (Debian SId 64-bit)

Since you are on a 64bit system, this is most likely because you don't have the 32bit GTK+ libraries.

Another option would be to run with the ncurses front-end.

sh PenumbraCollection-1.1.sh -f ncurses

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
(This post was last modified: 08-31-2010, 02:17 PM by Urkle.)
08-31-2010, 02:16 PM
Website Find
malachi1990 Offline
Junior Member

Posts: 11
Threads: 3
Joined: Mar 2010
Reputation: 0
#3
Solved: 6 Years, 2 Months, 4 Weeks ago RE: Installer fails (Debian SId 64-bit)

when I run the DISPLAY= ./PenumbraCollection.sh to try and force the ncurses intaller to work, I get an error that says unable to open xterm (or Eterm, depending on the emulator I'm using). I've tried the --nox11 option, but I get the same thing.

Edit: I changed your advice to work for the 1.0 version. It seems to go through now.

for 1.0, the command is sh PenumbraCollection-1.0.sh gtk (at least that what got it working here).

Thanks again for your help.
08-31-2010, 02:27 PM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#4
Solved: 6 Years, 2 Months, 4 Weeks ago RE: Installer fails (Debian SId 64-bit)

Oh, yeah.. the 1.0 was a much older version of the installer:-D The new version is a lot smoother, and can even be installed without a UI (unattended).

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
08-31-2010, 02:40 PM
Website Find




Users browsing this thread: 1 Guest(s)